<?php 

add_action( 'wp_enqueue_scripts', 'salient_child_enqueue_styles');
function salient_child_enqueue_styles() {

    wp_enqueue_style( 'parent-style', get_template_directory_uri() . '/style.css', array('font-awesome'));

    if ( is_rtl() ) 
        wp_enqueue_style(  'salient-rtl',  get_template_directory_uri(). '/rtl.css', array(), '1', 'screen' );
}

if( function_exists('acf_add_options_page') ) {

    acf_add_options_page(array(
        'page_title' 	=> 'Theme General Settings',
        'menu_title'	=> 'Theme Settings',
        'menu_slug' 	=> 'theme-general-settings',
        'capability'	=> 'edit_posts',
        'redirect'		=> false
    ));

}

function shortcode_upcoming_enrollment() {
    echo '<ul class="eventos">';

    query_posts(array( 
        'post_type' => 'upcoming_enrollment',
        'posts_per_page' => '3',
        'meta_key'	=> 'date',
        'orderby'	=> 'meta_value_num',
        'order' => 'ASC'
    ) );  

    while (have_posts()) : the_post();

    echo '<li><i><span>';
    
    $date = get_field('date');
    
    $dia = date("D", strtotime($date));
    $numerodia = date("d", strtotime($date));

    echo $numerodia;
    
    echo '</span>';
    
    echo $dia;
    

    echo '</i><div class="contenido-event"><h2>';

    the_title();

    echo '</h2><p>';

    the_field('description');

    echo '</p></div></li>';

    endwhile;

    wp_reset_query();

    echo '</ul>';
}
add_shortcode('upcoming', 'shortcode_upcoming_enrollment');


function shortcode_calendar_zm($atts)
{
    $atributes  = shortcode_atts(array('limit' => '99999999999','tab'=>'testing-dates'), $atts);
    $qtyposts   = esc_attr($atributes['limit']);
    $tab        = esc_attr($atributes['tab']);
    
    $datameses = ['january','february','march','april','may','june','july','august','september','october','november','december'];
    
    $html = '<div class="eventos-maiza"><b class="prev-arrowzm"></b><b class="next-arrowzm"></b><ul class="calendars">';
    
    foreach($datameses as $mes)
    {
        $terms = array($tab,$mes);
        
            query_posts(array('post_type' => 'calendar',
                              'posts_per_page' => $qtyposts,
                              'meta_key'	=> 'date',
                              'orderby'	=> 'meta_value_num',
                              'order' => 'ASC',
                              'tax_query' => array('relation' => 'AND',array('taxonomy'=>'type_calendar','field' => 'slug','terms' => array($tab)),
                                                                       array('taxonomy'=>'months','field' => 'slug','terms' => array($mes)))));  
            if(have_posts())
            {
                $html .= '<li>';
                $html .= '<h2>'.$mes.'</h2>';
                $html .= '<ul>';
            }
        
                while (have_posts()) : the_post();
                    
                    $date        = get_field('date');
                    $dia         = date("D", strtotime($date));
                    $numerodia   = date("d", strtotime($date));
                    $titulo      = get_the_title();
                    $description = get_field('description');
                    
                    $html .= '<li>';
                        $html .= '<i><span>'.$numerodia.'</span>'.$dia.'</i>';
                        $html .= '<div class="contenido-calendar">';
                        $html .= '<h3>'.$titulo.'</h3>';
                        $html .= '<p>'.$description.'</p>';
                        $html .= '</div>';
                    $html .= '</li>';
                
                endwhile;
            
            if(have_posts())
            {
                $html .= '</ul>';
                $html .= '</li>';
            }
            wp_reset_query();
    }
    
    $html .= '</ul></div>';
    
    return $html;
}

add_shortcode('calendar_zm', 'shortcode_calendar_zm');

?>